@model IEnumerable<FERZid.Models.SadrzajNaSegmentu>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Sadrzaji na segmentima</h2>

<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "SadrzajNaSegmentu")'">
        <span class="glyphicon glyphicon-plus"></span> Pridruzi sadrzaj segmentu
    </button>
    <table class="table" id="snas">
        <thead>
            <tr>
                <th>
                    Sadrzaj
                </th>

                <th>
                    @Html.DisplayNameFor(model => model.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
                </th>
                <th>
                    Pozicija segmenta
                </th>
                <th>
                    Dimenzije
                </th>
                <th>
                    ID Segmenta
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdsadrzajaNavigation.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
                    </td>
                    <td>
                        <span class="glyphicon glyphicon-arrow-right"></span>@item.IdsegmentaNavigation.KoordinataX , <span class="glyphicon glyphicon-arrow-down"></span> @item.IdsegmentaNavigation.KoordinataY
                    </td>
                    <td>
                        <p>@item.IdsegmentaNavigation.Sirina X @item.IdsegmentaNavigation.Visina</p>
                    </td>
                    <td>
                        @item.Idsegmenta
                    </td>
                    <td>
                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
    <div class="row">
        <p>
            <span style="color:deepskyblue; font-size:20px;" class="glyphicon glyphicon-exclamation-sign"></span> Pozicija segmenta se gleda od gornjeg lijevog ugla video-zida. Uredjaj na toj poziciji ima kooridinate:
            <span class="glyphicon glyphicon-arrow-right"></span>1 , <span class="glyphicon glyphicon-arrow-down"></span> 1
        </p>
    </div>
</div>
@section scripts {
    <script>
        $(document).ready(function () {
            $('#snas').DataTable();
        });
    </script>
}
